Plexy
Pay API
Gate APISDKDashboard
Pay API
Gate APISDKDashboard
  1. Distributions
  • Overview
  • Authorization
  • Webhooks
  • API Errors
  • Test Scenarios
  • Ecommerce Plugins
  • API
    • Payments
      • Overview
      • Payment Links
        • Create Payment Link
        • List Payment Links
        • Retrieve Payment Link by Order Reference
        • Cancel Payment Link
        • Retrieve Payment Link
        • Update Payment Link Expiration
        • Retrieve Payment Links Statistics
      • Reccurent Payments
        • Create Merchant-Initiated Payment
      • Direct Payments
        • Get Keys
        • Create Host-to-Host Payment
      • Transaction Management
        • Find Transaction's History by ID
        • Find Transaction by Payment Link ID
        • Find Transaction by ID
        • Find Transaction by Order reference
      • Payment Management
        • Cancel Payment
        • Capture Payment
        • Process Refund
      • Split Requests
        • Create
        • List
        • Update
        • Get By Id
        • Delete
    • Payouts
      • Retrieve Payout Transactions
      • Process Payout
      • Save Card for Payouts
    • Customers
      • Get Customer's Card Tokens
      • List Customers
      • Create Customer
      • Get Customer by ID
      • Get Customer's Transactions
    • Merchants
      • Payment Beneficiary
        • Create
        • Update
        • Gey By Id
        • List
        • Transfer from beneficiary balance to merchant balance
        • Create manual settlement for beneficiary
      • Retrieve Merchant's Details
    • Wallet
      • Authorize
      • Сapture
      • Refund
      • Cancel
    • Payment Methods
      • Google Pay™ Integration
    • Invoice
      • List Bank Invoices
      • Create Bank Invoice
      • Get Bank Invoice
    • Distributions
      • Create distribution
        POST
      • List distributions
        GET
      • Get distribution by ID
        GET
      • Get distributions balance
        GET
  • Schemas
    • Schemas
      • response.TransactionList
      • entity.SplitRequest
      • entity.PaymentBeneficiary
      • request.CreatePaymentBeneficiary
      • entity.SettlementPaymentOrder
      • entity.PayoutRequest
      • entity.PayoutRequestRowData
      • entity.UserProfile Copy
      • entity.Store
      • request.AssignStoreToUser
      • request.RemoveStoreFromUser
      • entity.AccountExternalSystem
      • response.AssignStoreToUser
      • request.CreateStore
      • response.Store
      • response.UserList
      • request.WalletAuthorizeRequest
      • entity.ShortWalletTransaction
      • response.WalletAuthorizeResponse
      • request.WalletCapture
      • response.RemoveStoreFromUser
      • command.HandleThreeDResult
      • domain.Report
      • entity.CardSaveSessionCustomer
      • entity.Permission
      • entity.UserProfile
      • entity.UserRole
      • git_plexypay_com_ecom_back_api_internal_domain_view.Page-domain_Report
      • git_plexypay_com_ecom_back_api_internal_domain_view.Page-entity_UserProfile
      • models.CSVApiRequest
      • models.CreateBussinessDetails
      • models.KeyResponse
      • models.OnboardingRequest
      • models.Transaction
      • paymentcore.Address
      • paymentcore.CustomerDetails
      • request.AuthorizePayment
      • request.BrowserDetails
      • request.CardData
      • request.ChangeUserRole
      • request.ContinueThreeDS
      • request.CreateCardSaveSession
      • request.CreateInviteSession
      • request.CreatePaymentLink
      • request.CreatePaymentLinkMetadata
      • request.HandlePayout
      • request.MerchantInitiatedPayment
      • request.PasswordRequest
      • request.Recurring
      • request.RefundPayment
      • request.SaveCard
      • request.SaveOneCustomer
      • request.TwoStepAuthorizePayment
      • request.UpdateMerchantSettingsRequest
      • request.UpdatePaymentLink
      • response.AcquirerResponseThreeDSecure
      • response.AuthorizeAndCapturePayment
      • response.AuthorizePayment
      • response.CancelPaymentResponse
      • response.CapturePaymentResponse
      • response.ContinueThreeDS
      • response.Currency
      • response.Customer
      • response.CustomerTransaction
      • response.CustomerTransactions
      • response.Customers
      • response.Merchant
      • response.MerchantInitiatedPayment
      • response.MerchantSettings
      • response.PaymentLink
      • response.PaymentLinkInfo
      • response.PaymentLinkMetadata
      • response.PaymentLinksInfo
      • response.PaymentLinksStatistics
      • response.PaymentLinksStatisticsItem
      • response.Payout
      • response.Permission
      • response.RefundPaymentResponse
      • response.Report
      • response.SavedCard
      • response.Session
      • response.Settlement
      • response.SettlementTransaction
      • response.Store
      • response.Stores
      • response.Transaction
      • response.TransactionDetails
      • response.TransactionEvents
      • response.TransactionHistoryEvent
      • response.TransactionHistoryEventData
      • response.TransactionResponse
      • response.TransactionWebhookDetails
      • response.Transactions
      • response.UpdateMerchantSettingsResponse
      • response.UserProfile
      • value.PaymentMethod
    • receipt
    • Error
    • response.BankInvoice
    • DistributionStatus
    • DecimalAmount
    • errors.Source
    • Currency
    • ProductType
    • errors.Message
    • DistributionRecipient
    • ProductCategory
    • request.CreateBankInvoice
    • DistributionCreateRequest
    • Product
    • git_plexypay_com_ecom_back_api_internal_platform_errors.Code
    • DistributionBase
    • response.Error
    • Order
    • DistributionCreatedResponse
    • AgentBalance
    • response.BankInvoiceList
    • DistributionDetailResponse
    • AgentDeposit
    • errors.Type
    • DistributionListItem
    • TopupRequest
    • DistributionListResponse
    • CreateOrderRequest
    • DistributionBalanceResponse
  1. Distributions

Create distribution

POST
https://api.plexypay.com/v1/distributions

Request

Authorization
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Distribution created
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.plexypay.com/v1/distributions' \
--header 'Authorization: pr_98ffssfsfsa5974544' \
--header 'Content-Type: application/json' \
--data '{
    "orderReference": "DIST-100001",
    "amount": 150000,
    "currency": "KZT",
    "recipient": {
        "name": "TOO Credit Partner",
        "bin": "123456789012",
        "iban": "KZ86125KZT5004100100",
        "bic": "KCJBKZKX",
        "kbe": "17",
        "knp": "119"
    },
    "paymentPurpose": "Распределение средств по договору 123"
}'
Response Response Example
{
    "id": "2a7d4d5e-3c74-4c88-b83f-36cc9d1a3451",
    "orderReference": "DIST-100001",
    "amount": 150000,
    "currency": "KZT",
    "status": "created",
    "recipient": {
        "name": "TOO Credit Partner",
        "bin": "123456789012",
        "iban": "KZ86125KZT5004100100",
        "bic": "KCJBKZKX",
        "kbe": "17",
        "knp": "119"
    },
    "paymentPurpose": "Распределение средств по договору 123",
    "balanceBefore": 500000,
    "balanceAfter": 350000,
    "createdAt": "2026-05-18T09:00:00Z",
    "updatedAt": "2026-05-18T09:00:00Z"
}
Modified at 2026-05-18 13:16:31
Previous
Get Bank Invoice
Next
List distributions
Built with